// 消息提示
const duration = 2500
export default {
  methods: {
    /**
     * @description 成功消息
     * @param {String} msg 消息内容
     */
    async _success(msg, onClose) {
      await this.$message({
        message: msg,
        showClose: true,
        type: 'success',
        duration,
        onClose
      })
    },
    /**
     * @description 警告消息
     * @param {String} msg 消息内容
     */
    async _warning(msg, onClose) {
      await this.$message({
        message: msg,
        showClose: true,
        type: 'warning',
        duration,
        onClose
      })
    },
    /**
     * @description 错误消息
     * @param {String} msg 消息内容
     */
    async _error(msg, onClose) {
      await this.$message({
        message: msg,
        showClose: true,
        type: 'error',
        duration,
        onClose
      })
    },
    /** 二次确认 */
    async _confirm(msg, title, type) {
      await this.$confirm(msg, title || this.$lang.t('global.message.56hjgk5vo640'), {
        confirmButtonText: this.$lang.t('global.message.56hjgk5vrc80'),
        cancelButtonText: this.$lang.t('global.message.56hjgk5vrsg0'),
        type: type || 'warning'
      })
    },
    /** 删除数据确认 */
    async _delete(action, title) {
      const msg = title || this.$lang.t('global.message.56hjgk5vrzk0')

      await this._confirm(msg)

      // 执行删除操作
      if (action || typeof action === 'function') {
        action()
      }
    }
  }
}
